function RR = predict_Ridge(RR)

% RR = predict_Ridge(RR)
%
% Does the actual Ridge regression prediction.
%
% RR -- a struct corresponding to a trained Ridge regressor
% returns an RR struct augmented by predicted intensity deviations
%
% written by Georg Zeller, MPI Tuebingen, Germany, 2007-2008


% generate numerical kmer vectors from sequences
%tic
RR.X_eval_num = seq_2_kmers(RR.X_eval_1, RR.PARAM.order);
RR.X_eval_num = [RR.X_eval_num; RR.X_eval_2];
%fprintf('feature generation took %.1fs.\n', toc);

RR = rmfield(RR, 'X_eval_1');
RR = rmfield(RR, 'X_eval_2');
if RR.DIST_CORRECTION,
  RR.X_eval_num = [RR.X_eval_num; RR.X_eval_3];
  RR = rmfield(RR, 'X_eval_3');
end

N = size(RR.X_eval_num,2);
RR.Y_pred_eval = nan(1,N);
for i=1:N,
  RR.Y_pred_eval(i) = RR.w' * RR.X_eval_num(:,i);
end
assert(~any(isnan(RR.Y_pred_eval)));

RR = rmfield(RR, 'X_eval_num');
